=== debian/changelog ===
ros-kinetic-rqt-gui-cpp (0.5.0-0xenial) xenial; urgency=high

  * version bump to match version of migrated package rqt_py_common

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Apr 2017 07:00:00 -0000

ros-kinetic-rqt-gui-cpp (0.3.2-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-kinetic-rqt-gui-cpp (0.3.1-0xenial) xenial; urgency=high

  * add missing build dependency

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 01 Apr 2016 07:00:00 -0000

ros-kinetic-rqt-gui-cpp (0.3.0-0xenial) xenial; urgency=high

  * switch to Qt5 (#106 <https://github.com/ros-visualization/rqt/pull/106>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 01 Apr 2016 07:00:00 -0000

ros-kinetic-rqt-gui-cpp (0.2.14-0xenial) xenial; urgency=high

  * add ros spinner thread for cpp plugins (#95 <https://github.com/ros-visualization/rqt/issues/95>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 04 Mar 2014 08:00:00 -0000

ros-kinetic-rqt-gui-cpp (0.2.13-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 08:00:00 -0000

ros-kinetic-rqt-gui-cpp (0.2.12-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Oct 2013 07:00:00 -0000

ros-kinetic-rqt-gui-cpp (0.2.11-0xenial) xenial; urgency=high

  * fix wait for master for cpp plugins (ros-visualization/rqt_common_plugins#173 <https://github.com/ros-visualization/rqt_common_plugins/issues/173>)
  * detect master with background thread (ros-visualization/rqt_common_plugins#169 <https://github.com/ros-visualization/rqt_common_plugins/issues/169>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 06 Sep 2013 07:00:00 -0000

ros-kinetic-rqt-gui-cpp (0.2.10-0xenial) xenial; urgency=high

  * check for master before loading a plugin and ask the user if not found (#67 <https://github.com/ros-visualization/rqt/issues/67>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-kinetic-rqt-gui-cpp (0.2.9-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Jun 2013 07:00:00 -0000

ros-kinetic-rqt-gui-cpp (0.2.8-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Jan 2013 08:00:00 -0000

ros-kinetic-rqt-gui-cpp (0.2.7-0xenial) xenial; urgency=high

  * first public release for Groovy

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 31 Dec 2012 08:00:00 -0000
